\exo{}
Soit $n \in \N^*$ et $ \omega = e^{\frac{2i\pi}{n}}$. On considère la matrice $\Omega = (\omega^{(i-1)(j-1)})_{1 \leq i,j\leq n} \in\mathcal{M}_n(\C)$.
\q Soient $a_1,\ldots,a_n \in \C$ et 
\begin{equation*}
  A = \begin{pmatrix} a_1 & a_2 & a_3 & \ldots & a_n \\ 
a_n & a_1 & a_2 & \ldots & a_{n-1} \\ 
a_{n-1} & a_n & a_1 & \ldots & a_{n-2} \\ 
\vdots & \vdots & \vdots & \ddots & \vdots \\
a_2 & a_3 & a_4 & \ldots & a_1 
\end{pmatrix} \in \mathcal{M}_n(\C)
\end{equation*}
Calculer $\det(A\Omega)$ et en déduire la valeur de $\det(A)$.
\q Pour $\theta \in \R$, calculer le déterminant $n\times n$ : 
\begin{equation*}
  \Delta(\theta) := \begin{vmatrix}  \cos \theta &  \cos 2 \theta & \ldots & \cos n\theta \\ 
    \cos n\theta & \cos \theta & \ldots& \cos(n-1)\theta \\ 
\vdots & \vdots & \ddots & \vdots \\
\cos 2 \theta & \cos 3\theta & \ldots & \cos \theta
\end{vmatrix} 
\end{equation*}





\ifwithcorrection \correction 


\fi
